Subject: [LBNL-Lug] XP woes...
From: Antonio Garcia <[email-masked]>
To: [email-masked]
Date: Fri, 18 Oct 2002 13:33:19 -0700 (PDT)

I recently re-installed RH 7.3 on the linux side of my laptop's HD.
Previously, I had an XP/Linux dual boot with the GRUB loader handling
bootup.

On this most recent re-install, I let GRUB have the master boot record
(I believe last time I did not, but I am not sure).  In any case, on the
first boot, GRUB does not see Windows (but sees Linux).  How do I get
this beast to boot XP?

Apologies for not having more information, but I don't even know what
would be relevant.  Any pointers, and I will post what you tell me.

Antonio Garcia-Martinez
cryptologia.com

From: Jay Krous <[email-masked]>
Organization: Lawrence Berkeley National Laboratory
To: [email-masked]                                                             
Subject: Re: [LBNL-Lug] XP woes...                                              
Date: Fri, 18 Oct 2002 13:38:33 -0700
                                                                                
Antonio:                                                                        

In short, you're going to need to edit grub.conf to make an entry for XP, 
something like this.

default=0
timeout=10
splashimage=(hd0,1)/grub/splash.xpm.gz
title Red Hat Linux (2.4.18-3)
       root (hd0,1)
       kernel /vmlinuz-2.4.18-3 ro root=/dev/hda3
       initrd /initrd-2.4.18-3.img
title Windows XP
       rootnoverify (hd0,0)
       chainloader +1

In long, this is the best article I have seen.  It also explains why you
lost XP in the first place:

"GRUB will detect that there is already an OS installed in the master
boot record and will give you on opportunity to configure it. This is a
critical step. If you don't configure it here, you will have to manually
edit the configuration files later."

http://asia.cnet.com/itmanager/netadmin/0,39006400,39048805,00.htm

-Jay

From: "Jeff Gamsby" <[email-masked]>
To: <[email-masked]>
Subject: RE: [LBNL-Lug] XP woes...                                              
Date: Fri, 18 Oct 2002 13:40:36 -0700                                           

I dual-boot Windows 2000 and Red Hat 7.3, and I had to edit the grub.conf
file to make Windows boot.  Windows 2K is the first partition and Linux
is on the second.  Here is my grub.conf;

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,1)
#          kernel /boot/vmlinuz-version ro root=/dev/hda2
#          initrd /boot/initrd-version.img
#boot=/dev/hda
default=0
timeout=10
splashimage=(hd0,1)/boot/grub/splash.xpm.gz
title Red Hat Linux kernel 2 (2.4.18-3)
        root (hd0,1)
        kernel /boot/vmlinuz-2.4.18-3 ro root=/dev/hda2
        initrd /boot/initrd-2.4.18-3.img
title Windows 2000
        root=(hd0,0)
        makeactive
        chainloader +1

I hope that this helps.  Good luck.